Subject: bug#45858: 28.0.50; [native-comp] compilation very slow

From: Andrea Corallo <[email-masked]>
Date: Thu, 28 Jan 2021 21:20:39 +0000

Óscar Fuentes <[email-masked]> writes:

> After starting a new instance of Emacs with an empty eln-cache,
> producing .eln files takes a long time. Any typical file takes more than
> five minutes, with some files (like lsp-protocol.el, right now)
> approaching two hours. Memory consumption is reasonable (155 MB for the
> process that is compiling lsp-protocol.el, about 60 MB for a typical
> compilation process).
>
> Right now, after 9 hours, there are 272 .eln files in the cache.
>
> The machine is a high-end desktop from 2015 and has dozens of GB of free
> memory and remains perfectly responsible, this is not the problem about
> excessive memory use that was reported previously. There is no other
> significant CPU activity.

This is behaviour is unexpected, but is kind of hard if not impossible
to guess the issue from here.

I guess both Emacs and and libgccjit are not debug build correct?

  Andrea